Package: org.codehaus.groovy.runtime.callsite

## [Java] Class CallSiteClassLoader

- org.codehaus.groovy.runtime.callsite.CallSiteClassLoader

-     public class CallSiteClassLoader
      extends ClassLoaderForClassArtifacts

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ClassLoaderForClassArtifacts` | `klazz`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CallSiteClassLoader(Class klazz)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Class` | `loadClass(String name, boolean resolve)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassLoaderForClassArtifacts` | `createClassName, createClassName, define, defineClassAndGetConstructor, loadClass`

- - ### Constructor Detail

    - #### public CallSiteClassLoader(Class klazz)

  - ### Method Detail

    - #### @Override
      protected Class loadClass(String name, boolean resolve)